Name:		iwhd
Version:	1.5
Release:	1%{?dist}
Summary:	Image WareHouse Daemon

Group:		System Environment/Libraries
License:	GPLv3

URL:		http://git.fedorahosted.org/git/?p=iwhd.git
# build requirement mongodb is available on little-endian machines only
ExcludeArch: ppc ppc64 s390 s390x

Source0: http://people.redhat.com/meyering/iwhd/%{name}-%{version}.tar.xz

BuildRequires: boost-devel
BuildRequires: boost-filesystem
BuildRequires: gc-devel
BuildRequires: hail-devel
BuildRequires: jansson-devel
BuildRequires: libcurl-devel
BuildRequires: libmicrohttpd-devel
BuildRequires: libxml2-devel
BuildRequires: libuuid-devel
BuildRequires: mongodb-devel
BuildRequires: liboauth-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: help2man

%if 0%{?rhel} >= 7 || 0%{?fedora} >= 16
BuildRequires: systemd-units
%else
%define _unitdir /lib/systemd/system
%endif

# mongodb-server is required at build time so make check succeeds
BuildRequires: mongodb-server

%description
The image-warehouse daemon for Aeolus

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

%check
make %{?_smp_mflags} check VERBOSE=yes

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_bindir}/iwhd
%{_bindir}/dc-rhev-image
%{_bindir}/dc-vmware-image
%{_mandir}/man8/iwhd.8*
%config(noreplace)	%{_sysconfdir}/iwhd/conf.js
%config(noreplace)	%{_sysconfdir}/iwhd/users.js
%config(noreplace)	%{_sysconfdir}/logrotate.d/iwhd
%config(noreplace)	%{_sysconfdir}/sysconfig/iwhd
%{_localstatedir}/lib/iwhd
%{_unitdir}/iwhd.service

%if 0%{?rhel} >= 7 || 0%{?fedora} >= 16
# nothing required here
%else
%{_sysconfdir}/rc.d/init.d/iwhd
%endif

%changelog
* Mon Mar 12 2012 Jim Meyering <meyering@redhat.com> - 1.5-1
- new release

* Mon Mar  5 2012 Jim Meyering <meyering@redhat.com> - 1.4-1
- use just-released upstream iwhd-1.4, but disable the pesky t/auto test
- also add systemd-f16-vs-f17.patch

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec  1 2011 Jim Meyering <meyering@redhat.com> - 1.1-1
- new release

* Mon Nov 21 2011 Pete Zaitcev <zaitcev@redhat.com> - 1.0-2
- Re-enable build-time check. The 1.0 ought to fix the issue.

* Thu Oct 31 2011 Jim Meyering <meyering@redhat.com> - 1.0-1
- new release

* Thu Oct 20 2011 Jim Meyering <meyering@redhat.com> - 0.991-1
- new release

* Thu Oct 13 2011 Jim Meyering <meyering@redhat.com> - 0.990-1
- new release

* Thu Jul 21 2011 Chris Lalancette <clalance@redhat.com> - 0.96-4
- Rebuild for boost ABI change

* Mon Jul 18 2011 Karsten Hopp <karsten@redhat.com> - 0.96-3
- ExcludeArch big-endian machines, mongodb is not available there

* Tue Jul 12 2011 Chris Lalancette <clalance@redhat.com> - 0.96-2
- Add patch from iwhd development to build against jansson 2.0
- Disable make check until we fix the bug causing it to fail

* Wed Jun 29 2011 Jim Meyering <meyering@redhat.com> - 0.96.1.9e86
- see git logs for details
